API & Integrations
Table Orders API
API documentation for managing tables and table orders
Get all tables
Endpoint: GET /v1/waiters/tables
Returns the list of tables in a restaurant, including information such as table name, settings, new orders, confirmed total, and other details.
Example request:
GET /v1/waiters/tables HTTP/1.1
Authorization: Bearer {token}
Example response:
[
{
"_id": "5f2c5d1aafd17b4d10ff8978",
"name": "DEMO",
"settings": {
"useGlobalSettings": true,
"useOrders": true,
"useCallWaiter": true,
"useBill": true,
"showPrices": true,
"_id": "62bb20136ce46e8ef18f3aaf"
},
"isWatched": true,
"newOrders": ["680a4da6fd4a9807b9aacdc7"],
"waiterCalled": true,
"total": 44,
"totalConfirmed": 22,
"totalPaid": 0,
"orderCount": 2
},
{
"_id": "5f2c6a79afd17b4d10ff8987",
"name": "#A2",
"settings": {
"useGlobalSettings": true,
"useOrders": true,
"useCallWaiter": true,
"useBill": true,
"showPrices": true,
"_id": "680e6cb1bde7985d9fbb6091"
},
"isWatched": true,
"newOrders": [],
"waiterCalled": false,
"total": 0,
"totalConfirmed": 0,
"totalPaid": 0,
"orderCount": 0
}
]
Get orders for a specific table
Endpoint: GET /v1/waiters/tables/:tableId/orders
Returns the orders associated with a specific table.
Example request:
GET /v1/waiters/tables/:tableId/orders HTTP/1.1
Authorization: Bearer {token}
Example response:
[
[
{
"_id": "680a4da6fd4a9807b9aacdc7",
"type": "table",
"code": 7094,
"client": {
"_id": "67f03766c82f32eae5b3aaa6",
"name": "Anonymous#9460"
},
"restaurant": "5f2c5a0eafd17b4d10ff8974",
"table": "5f2c5d1aafd17b4d10ff8978",
"status": "pending",
"note": "",
"items": [
{
"item": {
"_id": "60a503641ee73009f45dbf00",
"available": true,
"currency": "RON",
"tags": ["spicy"],
"name": "SPAGHETTI CON CALAMARI",
"description": "Spaghetti 100gr, calamari *150 gr, sriracha 10gr, pătrunjel 20gr",
"price": 22,
"quantityUnit": "grams",
"images": [
{
"url": "https://menoo.s3.eu-central-1.amazonaws.com/images/6063351499a5ea3dbf4b0f95/1617131398228_Paste cu calamari-1.jpg",
"thumbnailUrl": "https://menoo.s3.eu-central-1.amazonaws.com/images/6063351499a5ea3dbf4b0f95/thumbnails/1617131398228_Paste cu calamari-1.jpg"
}
],
"__v": 1,
"duration": 30,
"energy": 400,
"quantity": 200,
"updatedAt": "2024-08-09T09:26:38.426Z",
"ingredients": [
{
"name": "Barilla Spaghetti 5 Cereali",
"quantity": 150,
"calories": 352,
"fat": 2,
"saturatedFat": 0,
"carbs": 67,
"sugars": 3,
"fibre": 0,
"protein": 12,
"salt": 0.01
},
{
"name": "Calamar",
"quantity": 120,
"calories": 92,
"fat": 1.4,
"saturatedFat": 0,
"carbs": 3.1,
"sugars": 0,
"fibre": 0,
"protein": 15.6,
"salt": 0
},
{
"name": "Sos chilli iute Huy Fong Sriracha",
"quantity": 10,
"calories": 10,
"fat": 0,
"saturatedFat": 0,
"carbs": 16,
"sugars": 9,
"fibre": 0,
"protein": 2,
"salt": 1.48
},
{
"name": "Frunze de patrunjel",
"quantity": 20,
"calories": 36,
"fat": 0.8,
"saturatedFat": 0,
"carbs": 6.3,
"sugars": 0,
"fibre": 3.3,
"protein": 3,
"salt": 0
}
],
"additives": ["E104", "E110", "E120"],
"allergens": ["lactose", "gluten", "molluscs"],
"availableDelivery": true,
"options": []
},
"name": "SPAGHETTI CON CALAMARI",
"price": 22,
"quantity": 1,
"options": [],
"note": ""
}
],
"currency": "RON",
"total": 22,
"fees": [],
"createdAt": "2025-04-24T14:41:42.062Z",
"updatedAt": "2025-04-24T14:41:42.062Z",
"number": "232",
"__v": 0
}
]
]
Get the bill for a specific table
Endpoint: GET /v1/waiters/tables/:tableId/bill
Returns the bill for a specific table, including details about customers, ordered items, quantities, and prices.
Example request:
GET /v1/waiters/tables/:tableId/bill HTTP/1.1
Authorization: Bearer {token}
Example response:
[
{
"_id": "67f03766c82f32eae5b3aaa6",
"client": {
"_id": "67f03766c82f32eae5b3aaa6",
"name": "Anonymous#9460"
},
"bill": [
{
"_id": "60a503641ee73009f45dbf00",
"name": "SPAGHETTI CON CALAMARI",
"options": [],
"price": 22,
"quantity": 1
}
]
},
{
"_id": "67e7cc01513fc7a687cf4128",
"client": {
"_id": "67e7cc01513fc7a687cf4128",
"name": "Menoo"
},
"bill": [
{
"_id": "60a503641ee73009f45dbf00",
"name": "SPAGHETTI CON CALAMARI",
"options": [],
"price": 22,
"quantity": 1
}
]
}
]